Pre-General Availability: 2026-02-23

Get a wallet by ID

get

/v1/wallets/{walletId}

Retrieves the full custodial wallet record for the specified walletId.

Request

Path Parameters
Header Parameters
  • Optional request correlation identifier. Echoed in responses when provided and forwarded upstream.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Wallet
Body ()
Root Schema : Wallet
Type: object
Wallet record as returned by the wallet service
Show Source

400 Response

Invalid request
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

500 Response

Internal error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

502 Response

Upstream wallet service error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
Back to Top